__gnu_debug::_Safe_node_sequence< _Sequence >(3cxx)

NAME
__gnu_debug::_Safe_node_sequence< _Sequence > - Like _Safe_sequence but with a special _M_invalidate_all implementation not invalidating past-the-end iterators. Used by node based sequence.

SYNOPSIS

Inherits __gnu_debug::_Safe_sequence< _Sequence >.

  Public Member Functions

template<typename _Predicate > void _M_invalidate_if (_Predicate __pred)
template<typename _Predicate > void _M_transfer_from_if (_Safe_sequence &__from, _Predicate __pred)

  Protected Member Functions

void _M_invalidate_all ()

Detailed Description

  template<typename _Sequence>
class __gnu_debug::_Safe_node_sequence< _Sequence >" Like _Safe_sequence but with a special _M_invalidate_all implementation not invalidating past-the-end iterators. Used by node based sequence.

Definition at line 131 of file safe_sequence.h.

Member Function Documentation

  template<typename _Sequence > template<typename _Predicate > void __gnu_debug::_Safe_sequence< _Sequence >::_M_invalidate_if (_Predicate __pred) [inherited]
Invalidates all iterators x that reference this sequence, are not singular, and for which __pred(x) returns true. __pred will be invoked with the normal iterators nested in the safe ones.

Definition at line 38 of file safe_sequence.tcc.

  template<typename _Sequence > template<typename _Predicate > void __gnu_debug::_Safe_sequence< _Sequence >::_M_transfer_from_if (_Safe_sequence< _Sequence > & __from, _Predicate __pred) [inherited]
Transfers all iterators x that reference from sequence, are not singular, and for which __pred(x) returns true. __pred will be invoked with the normal iterators nested in the safe ones.

Definition at line 69 of file safe_sequence.tcc.

Author

Generated automatically by Doxygen for libstdc++ from the source code.